%define oname dolphin

Summary:	K Desktop Environment
Name:		plasma5-%{oname}
Version:	14.12.95
Release:	1
Epoch:		1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org
Source0:	http://mirror.csclub.uwaterloo.ca/kde/unstable/plasma/%{version}/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kde5-macros
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5init-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:  kf5coreaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:  kf5dbusaddons-devel
BuildRequires:  kf5kio-devel
BuildRequires:  kf5parts-devel
BuildRequires:  kf5solid-devel
BuildRequires:  kf5iconthemes-devel
BuildRequires:  kf5completion-devel
BuildRequires:  kf5texteditor-devel
BuildRequires:  kf5windowsystem-devel
BuildRequires:  kf5notifications-devel
BuildRequires:	kf5activities-devel
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	kf5baloo-devel
BuildRequires:	kf5filemetadata-devel
BuildRequires:	kf5kdelibs4support-devel

%description
Dolphin is a file manager for KDE 5 focusing on usability.
The main features of Dolphin are:
- Navigation bar for URLs, which allows to navigate quickly
 through the file hierarchy.
- View properties are remembered for each folder.
- Split of views is supported.
- Network transparency.
- Undo/redo functionality.
- Renaming of a variable number of selected items in one step.

%files
%doc %{_kde5_docdir}/HTML/en/dolphin/
%{_kde5_bindir}/dolphin
%{_kde5_bindir}/servicemenudeinstallation
%{_kde5_bindir}/servicemenuinstallation
%{_kde5_applicationsdir}/org.kde.dolphin.desktop
%{_kde5_services}/dolphinpart.desktop
%{_kde5_services}/kcmdolphingeneral.desktop
%{_kde5_services}/kcmdolphinnavigation.desktop
%{_kde5_services}/kcmdolphinservices.desktop
%{_kde5_services}/kcmdolphinviewmodes.desktop
%{_kde5_servicetypes}/fileviewversioncontrolplugin.desktop
%{_kde5_datadir}/config.kcfg/dolphin_*
%{_kde5_libdir}/qt5/plugins/dolphinpart.so
%{_kde5_libdir}/qt5/plugins/kcm_dolphingeneral.so
%{_kde5_libdir}/qt5/plugins/kcm_dolphinnavigation.so
%{_kde5_libdir}/qt5/plugins/kcm_dolphinservices.so
%{_kde5_libdir}/qt5/plugins/kcm_dolphinviewmodes.so
%{_kde5_libdir}/libdolphinprivate.so.*
%{_kde5_libdir}/libdolphinvcs.so.*
%{_kde5_datadir}/appdata/dolphin.appdata.xml
%{_kde5_datadir}/kxmlgui5/dolphin/dolphinui.rc
%{_kde5_datadir}/kxmlgui5/dolphinpart/dolphinpart.rc
%{_kde5_libdir}/libkdeinit5_dolphin.so
%{_sysconfdir}/xdg/servicemenu.knsrc

#----------------------------------------------------------------------------

%define devdolphin %mklibname dolphin -d

%package -n %{devdolphin}
Summary:	Development files for Plasma 5 dolphin
Group:		Development/KDE and Qt
Requires:	%{name} = %{EVRD}

%description -n %{devdolphin}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devdolphin}
%{_kde5_includedir}/dolphin_export.h
%{_kde5_includedir}/Dolphin/*.h
%{_kde5_includedir}/Dolphin/KVersionControlPlugin
%{_kde5_libdir}/cmake/DolphinVcs/*.cmake
%{_kde5_libdir}/libdolphinprivate.so
%{_kde5_libdir}/libdolphinvcs.so

#----------------------------------------------------------------------------

%prep
%setup -q -n %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build
